require 'test_helper'

class AwardsControllerTest < ActionController::TestCase
  setup do
    @award = awards(:skydiving)
  end

  test "should get index" do
    get :index, :student_id => students(:giles).id
    assert_response :success
    assert_not_nil assigns(:awards)
  end

  test "should get new" do
    get :new, :student_id => students(:giles).id
    assert_response :success
  end

  test "should create award" do
    assert_difference('Award.count') do
      post :create, :award => { :year => 2008, :name => 'Test award' }, :student_id => students(:giles).id
    end

    assert_redirected_to student_awards_url(students(:giles))
    #student_award_path(students(:giles), assigns(:award))
  end

  test "should show award" do
    get :show, :id => awards(:skydiving).id, :student_id => students(:giles).id
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => awards(:skydiving).id, :student_id => students(:giles).id
    assert_response :success
  end

  test "should update award" do
    put :update, :id => awards(:skydiving).id, :award => { }, :student_id => students(:giles).id
    assert_redirected_to student_awards_url(students(:giles))
  end

  test "should destroy award" do
    assert_difference('Award.count', -1) do
      delete :destroy, :id => awards(:skydiving).id, :student_id => students(:giles).id
    end

    assert_redirected_to student_awards_path(students(:giles))
  end
end
