require 'test_helper'
class StudentTest < ActiveSupport::TestCase
fixtures :students, :courses

def test_validity
elvis = Student.new({:given_name => "Elvis", :family_name => "Prendergast"})
assert !elvis.valid?, "Should require date of birth, start date"
elvis.date_of_birth = "1989-02-03"
elvis.start_date = Date.today
assert elvis.valid?, "Failed even with all required info"
end
 
 def test_name
 elvis = Student.new({:given_name => "Elvis", :family_name => "Prendergast"})
 assert_equal elvis.name, "Elvis Prendergast", "name method screwed up"
 end

 def test_enrolled_in
 giles = students(:giles)
 assert giles.enrolled_in?(courses(:reptiles)), "Giles not enrolled in reptiles?"
 assert !giles.enrolled_in?(courses(:immoral)), "Giles should stay out of Immoral Aesthetics"
 end

 def test_unenrolled_courses
 giles = students(:giles)
 milletta = students(:milletta)
 assert_equal [courses(:reptiles)], milletta.unenrolled_courses
 assert_equal [courses(:immoral)], giles.unenrolled_courses
 elvis = Student.new({:given_name => "Elvis", :family_name => "Prendergast"})
 assert_equal Course.find(:all), elvis.unenrolled_courses
 end

end